Bug 967415 - REST access /rest/categories/{categoryPath}/assets//page/{page} returns with wrong pagenation
REST access /rest/categories/{categoryPath}/assets//page/{page} returns with ...
Status: CLOSED NOTABUG
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
5.x.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jervis Liu
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 00:47 EDT by Toshiya Kobayashi
Modified: 2013-11-18 06:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 967407
Environment:
Last Closed: 2013-07-30 07:32:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2015 Major Resolved REST access /rest/categories/{categoryPath}/assets/page/{page} returns with wrong pagination 2013-11-18 06:09:28 EST

  None (edit)
Description Toshiya Kobayashi 2013-05-27 00:47:43 EDT
+++ This bug was initially created as a clone of Bug #967407 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/GUVNOR-2015


Steps to Reproduce:
1. See GUVNOR-2015 for details

Actual results:

REST access returns with

(page/0) -> 10 rules ("r01" - "r10")
(page/1) -> 10 rules ("r02" - "r11")
(page/2) -> 9 rules ("r03" - "r11")

Expected results:

(page/0) -> 10 rules ("r01" - "r10")
(page/1) -> 1 rule ("r11")
(page/2) -> nothing
Comment 2 Jervis Liu 2013-07-30 07:16:56 EDT
This is not 6.0 relevant. 6.0 does not have REST api support for accessing assets or categories.
Comment 3 Lukáš Petrovický 2013-07-30 07:32:36 EDT
Thanks, closing.
Comment 4 JBoss JIRA Server 2013-11-18 06:09:31 EST
Toni Rikkola <toni@rikkola.net> updated the status of jira GUVNOR-2015 to Resolved

Note You need to log in before you can comment on or make changes to this bug.